<?php
function TableClave($obj, $Titulo, $Opcion, $Valor, $TamFila) {
$Link = $_SERVER['PHP_SELF'];
if(!isset($Opcion)) {
	$sql = "select U.id_usuario, U.usuario, U.nombre, CONCAT(U.id_rol,' - ', R.nombre) as ROL
			from _sys_usuario U
			inner join _sys_rol R ON U.id_rol = R.id_rol
			where id_usuario=$_SESSION[_CUSE];";
	$obj->AbrirConexion();
	$rs = $obj->Query($sql);
	$obj->CerrarConexion();
	$Fila = $obj->FetchArray($rs);

	echo "<form name=\"formulario\" id=\"formulario\" method=\"post\" onSubmit=\"return validaCambiarClave(this)\">";
	echo "<table style=\"padding:0;margin-top:0px;border-collapse:collapse;\" ";
	echo "width=400 align=center cellpadding=0 cellspacing=0>";
	echo "<tr>";
	echo "<td height=25 colspan=2 valign=top align=\"center\" class=\"FormTitulo\">";
	echo "$Titulo";
	echo "<input name=\"opt\" type=\"hidden\" id=\"opt\" value=\"$Opcion\" />";
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td width=\"100\" class=\"FormCampo1\">Codigo :</td>";
	echo "<td width=\"300\" class=\"interior\">$Fila[id_usuario]";	
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class=\"FormCampo1\"  width=100>Usuario :</td>";
	echo "<td class=\"interior\"  width=210>$Fila[usuario]";	
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class=\"FormCampo1\"  width=100>Nombre :</td>";
	echo "<td class=\"interior\"  width=210>$Fila[nombre]";	
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
    echo "<td class=\"FormCampo1\">Clave Antigua :</td>";
   	echo "<td class=\"interior\">";
	echo "<input name=\"clavea\" type=\"password\" id=\"clavea\" style=\"width:150px;\" value=\"\" /></td>";
    echo "</tr>";
	echo " <tr>";
    echo "<td class=\"FormCampo1\">Clave Nueva :</td>";
	echo "<td class=\"interior\">";
	echo "<input name=\"claven1\" type=\"password\" id=\"claven1\" style=\"width:150px;\" /></td>";
    echo "</tr>";
	echo "<tr>";
    echo "<td class=\"FormCampo1\">Confirmar Clave:</td>";
    echo "<td class=\"interior\">";
	echo "<input name=\"claven2\" type=\"password\" id=\"claven2\" style=\"width:150px;\" /></td>";
    echo "</tr>";
	echo "<tr>";
	echo "<td class=\"FormTitulo\" class=\"interior\" colspan=2>";
	echo "<input id=\"save\" name=\"save\" type=\"submit\" style=\"width:100px; ";
	echo "height:22px; font-size:10px; \" value=\"Guardar\" onClick=\"return confirm('¿DESEA GUARDAR LOS DATOS?')\" >";
	echo "</td>";
	echo "</tr>";	
	echo "</table>";
	echo "</form>";	
	}
if(isset($_POST["save"])) {
	if(isset($_SESSION["_CUSE"])) $Usuario = $_SESSION["_CUSE"];
	else $Usuario = 1;
	$sql = "select clave from _sys_usuario where id_usuario=$_SESSION[_CUSE]";
	$sql = "SELECT case when clave = MD5('$_POST[clavea]') then 'SI' else 'NO' end as FLAG
			from _sys_usuario
			where id_usuario=$_SESSION[_CUSE]";
	$obj->AbrirConexion();
	$rs = $obj->Query($sql);
	$obj->CerrarConexion();	
	$Fila = $obj->FetchArray($rs);
	if($Fila[0]=="NO") {
		echo "<script language='Javascript'>";
		echo "Mensaje=\"ERROR AL PROCESAR DATOS...!!!!!\\nLA CONTRASEÑA NO COINCIDE\"\n";
   		echo "alert(Mensaje);\n";
		echo "</script>\n";
		}
	else {
		$sql = "update _sys_usuario 
				set clave = MD5('$_POST[claven1]'),
				_user_update = $_SESSION[_CUSE],
				_date_update = NOW()
				where id_usuario=$_SESSION[_CUSE]";	
		$obj->AbrirConexion();
		$obj->Query($sql);
		$obj->CerrarConexion();	
		echo "<script language='Javascript'>";
		echo "Mensaje=\"LA CONTRASEÑA FUE CAMBIADA CORRECTAMENTE\"\n";
   		echo "alert(Mensaje);\n";
		echo "window.location='$Link'";
		echo "</script>\n";
		}
	}
} 
?>